> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Skill の詳細情報を取得します。



## OpenAPI

````yaml /ja/openapi.json get /api/publicapi/v1/skills/{skillId}
openapi: 3.0.4
info:
  description: '環境: 本番環境<br>製品バージョン: 1.6.17'
  title: Vantage processing REST API
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - description: 本番環境（米国リージョン）
    url: https://vantage-us.abbyy.com
  - description: 本番環境（ヨーロッパリージョン）
    url: https://vantage-eu.abbyy.com
  - description: 本番環境（オーストラリアリージョン）
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/skills/{skillId}:
    get:
      tags:
        - Skills
      summary: Skill の詳細情報を取得します。
      operationId: GetSkillInfo
      parameters:
        - description: Skill の識別子です。すべての Skill 一覧で確認できます。
          in: path
          name: skillId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Skills.Results.SkillDto
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Skills.Results.SkillDto
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Skills.Results.SkillDto
          description: Skill 情報が正常に取得されました
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: Skillが見つかりません
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Skills.Results.SkillDto:
      additionalProperties: false
      properties:
        classes:
          description: 分類スキル向け。
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Skills.Results.SkillClassDto
          nullable: true
          type: array
        fields:
          description: Document skill 用
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Skills.Results.FieldDto
          nullable: true
          type: array
        id:
          description: Skill の ID
          nullable: true
          type: string
        name:
          description: Skill 名
          nullable: true
          type: string
        skills:
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Skills.Results.InnerSkillDto
          nullable: true
          type: array
        type:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Skills.SkillType
      type: object
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          nullable: true
          type: string
        instance:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
    Abbyy.Vantage.PublicApi.Contract.Skills.Results.SkillClassDto:
      additionalProperties: false
      properties:
        id:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
      type: object
    Abbyy.Vantage.PublicApi.Contract.Skills.Results.FieldDto:
      additionalProperties: false
      properties:
        children:
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Skills.Results.FieldDto
          nullable: true
          type: array
        isRepeatable:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
        textFormat:
          description: Type=Text の場合は必須
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
    Abbyy.Vantage.PublicApi.Contract.Skills.Results.InnerSkillDto:
      additionalProperties: false
      properties:
        id:
          nullable: true
          type: string
      type: object
    Abbyy.Vantage.PublicApi.Contract.Skills.SkillType:
      enum:
        - Classification
        - Document
        - Process
        - Ocr
        - Assembling
      type: string
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````